/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.transport.multicast;

import junit.textui.TestRunner;
import org.activemq.transport.TransportChannelTestSupport;
import org.activemq.broker.BrokerContainer;
import org.activemq.broker.BrokerConnector;
import org.activemq.broker.impl.BrokerContainerImpl;
import org.activemq.broker.impl.BrokerConnectorImpl;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import java.net.URI;

/**
 * @version $Revision: 1.1.1.1 $
 */
public class MulticastDiscoveryTransportChannelTest extends TransportChannelTestSupport {

    private static final transient Log log = LogFactory.getLog(MulticastDiscoveryTransportChannelTest.class);
    
    protected BrokerContainerImpl container;

    public static void main(String[] args) {
        TestRunner.run(MulticastDiscoveryTransportChannelTest.class);
    }

    public MulticastDiscoveryTransportChannelTest(String name) {
        super(name);
    }

    public void testSendPacket() throws Exception {
        // TODO temporarily disable until I figure out why this fails
    }

    public void testRpc() throws Exception {
        // TODO temporarily disable until I figure out why this fails
    }

    protected void setUp() throws Exception {
        // lets create a broker with multicast discovery
        container = new BrokerContainerImpl("cheese");
        container.addConnector("tcp://localhost:0");
        container.setDiscoveryAgent(new MulticastDiscoveryAgent(new URI("multicast://228.8.9.10:2677")));
        container.start();

        log.info("The broker is now completely started - now creating the sender and receiver");

        createSenderAndReceiver("discovery://228.8.9.10:2677");
        super.setUp();
    }

    protected void tearDown() throws Exception {
        super.tearDown();

        if (container != null) {
            container.stop();
        }
    }
}